package
{
	import org.flixel.*;
	import org.flixel.data.FlxMouse;

	public class Cursor extends FlxSprite
	{
		[Embed(source="../data/cursor.png")] protected var ImgMouse:Class;
		
		public function Cursor(X:Number=0, Y:Number=0)
		{
			super(X, Y);
			loadGraphic(ImgMouse,true,false);
			offset.x = offset.y = 4;
			width = height = 8;
			
			x = FlxG.mouse.x;
			y = FlxG.mouse.y;
			
			addAnimation("Deselected", [0]);
			addAnimation("Selected", [1]);
			
			play("Deselected");
		}
		
		override public function update():void
		{
			super.update();
			
			x = FlxG.mouse.x + offset.x;
			y = FlxG.mouse.y + offset.y;
		}
		
		public function unhover():void
		{
			play("Deselected");
		}
		
		public function hover():void
		{
			play("Selected");
		}
		
		
	}
}