package
{
	/*
	 * Timequake Prototype Source Code. Released by @realnoyb on December 2012.
	 * This work is licensed under the Creative Commons Attribution-NonCommercial 3.0 Unported License. 
	 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc/3.0/.
	 */
	
	import org.flixel.FlxText;
	import org.flixel.FlxG;

	public class Description extends FlxText
	{
		public function Description(X:Number, Y:Number, Width:uint, Text:String=null, EmbeddedFont:Boolean=true)
		{
			super(X, Y, Width, Text, EmbeddedFont);
			this.setFormat(null,8,0xffff0000,"left",0xff000000);
		}
		
		public function activate(newX:Number, newY:Number):void
		{
			this.x = newX - this.width / 2.5;
			
			if(this.x + this.width >= FlxG.width)
			{
				this.x = FlxG.width - this.width - 8;
			}
			
			if(this.x <= 0)
			{
				this.x = 0;
			}
			
			if(this.y <= 100)
			{
				this.y = 100;
			}
			
			this.y = newY - this.height - 4;
			this.exists = true;
			this.visible = true;
			this.dead = false;
			this.velocity.y = -15;
		}
		
		override public function update():void
		{
			if(this.exists)
			{
				this.setFormat(null,8,this.color - 0x010000);
			}
				
			if(this.color <= 0x770000)
			{
				this.exists = false;
			}
			
			super.update();
		}
		
	}
}

