package
{
	/*
	 * Timequake Prototype Source Code. Released by @realnoyb on December 2012.
	 * This work is licensed under the Creative Commons Attribution-NonCommercial 3.0 Unported License. 
	 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc/3.0/.
	 */
	
	import org.flixel.FlxSprite;

	public class ReplayIcon extends FlxSprite
	{
		[Embed(source="../data/icons.png")] protected var ImgIcon:Class;
		
		public function ReplayIcon(X:Number=0, Y:Number=0, SimpleGraphic:Class=null)
		{
			super(X, Y, null);
			loadGraphic(ImgIcon, true, false, 16, 16);
			
			addAnimation("Wait", [0]);
			addAnimation("Right", [1]);
			addAnimation("Left", [2]);
			addAnimation("Action", [3]);
			addAnimation("Action2", [4]);
			addAnimation("Down", [5]);
			addAnimation("Up", [6]);
		}
		
		public function wait():void { play("Wait"); }
		public function moveRight():void { play("Right"); }
		public function moveLeft():void { play("Left"); }
		public function moveUp():void { play("Up"); }
		public function moveDown():void { play("Down"); }
		public function action():void {play("Action"); }
		public function action2():void {play("Action2"); }
		
	}
}